/*

  ParseICQMessage.rexx - An example of how to parse an ICQ message

  $VER: ParseICQMessage.rexx v1.0 06.10.98 Copyright (C) 1998 Douglas F. McLaughlin

  Written By: Douglas F. McLaughlin 

  Note: URL messages seperate the description from the URL by a ASCII 254 (0xFE).
        It is the responsibility of the ARexx script to delete the file after
        all processing is done.  Each filename will be unique to each message
        so that no filename collisions will occur.

  Note2: Permission is granted to use this script in any form or make any modifications
         as necessary.

*/

inp = 'input'

parse arg uin file

say 'Message is from 'uin

if ~open(inp,file,'r') then do
  say 'Could not open file 'file'.'
  exit 10
end

do while ~eof(inp)
  line = readln(inp)
  say line
end

call close(inp)

call delete(file)

exit 0
