/*

  Send2Browser.rexx - Sends STRICQ received URLs to the configured browser.

  VER$: Send2Browser.rexx v1.0 (13.10.98) Copyright (C) Douglas F. McLaughlin

  Note: The script is released as freeware.

*/

if ~show('l','rexxsupport.library') then addlib('rexxsupport.library',0,-30,0)

options results

browser = 'DH0:IBrowse/IBrowse'    /* Set this path to match your setup    */
port    = 'IBROWSE'                /* Set this port to match your browser: */
urlcmd  = 'GOTOURL'                /* Set this cmd  to match your browser: */

/*

Browser     Port        URLCmd

IBrowse     IBROWSE     GOTOURL
AWeb        AWEB.1      OPEN
AMosaic     AMOSAIC.1   JUMP URL
Mindwalker  MINDWALKER  OPENURL
Voyager     VOYAGER     OPENURL

*/

parse arg url

if ~show('p',port) then do
  address command 'Run >NIL: <NIL: 'browser
  do while ~show('p',port)
    call delay(50)
  end
end

address value port

urlcmd url

exit 0
