/*
**   Arexx script for StrICQ triggered by the notify event that will open
**   a requester to inform you who sent you a message.
**
**   $VER: ICQNotify.rexx 1.0 (27.06.98) by Torsten Pieper <topic@gmx.net>
**
**
** Installation:
**   Copy the Script where you like
**   Start StrICQ, open the Prefs-Window and go to the page "Notify"
**   In the string-gadget "Message Notify Command" insert:
**     SYS:Rexxc/RX <path-to-script>ICQNotify.rexx %ld <path-to-stricq-dir>
**
*/
cr="0a"x

IF ~SHOW('L','rexxreqtools.library') THEN
  IF ADDLIB('rexxreqtools.library',0,-30,0)=0 THEN EXIT

OPTIONS RESULTS

PARSE UPPER ARG uid " " dir

IF uid="" | dir="" THEN EXIT

IF ~OPEN(fh,dir"Contacts","R") THEN EXIT
DO UNTIL EOF(fh)
    ln=READLN(fh)
    PARSE VAR ln uin rst
    PARSE VAR rst usr.uin.nick usr.uin.first usr.uin.last usr.uin.email .
END
CLOSE(fh)

ok=rtezrequest("Received a message from" cr usr.uid.nick "("usr.uid.first usr.uid.last").",,"ICQ Message")

EXIT
